registerActionPart('SCALE_OBJECT',{
	isif=false,
	link1={text='Object',use=true,control=0},
	link2={text='',use=false,control=1},
	integers={use=3,useint3=true,pointlabel='',pointdialog=0},
	integer1={text='SCALE_IN_PERCENT',control=0,min=0,max=99999,val=100,options={}},
	integer2={text='DELAY_IN_MS',control=1,min=0,max=99999,val=0,options={}},
	integer3={text='Easing',control=4,min=0,max=0,val=17,options={'BackIn', 'BackOut', 'BackInOut', 'BounceIn', 'BounceOut', 'BounceInOut', 'CircIn', 'CircOut', 'CircInOut', 'CubicIn', 'CubicOut', 'CubicInOut', 'ElasticIn', 'ElasticOut', 'ElasticInOut', 'LinearIn', 'LinearOut', 'LinearInOut', 'NoneIn', 'NoneOut', 'NoneInOut', 'QuadIn', 'QuadOut', 'QuadInOut', 'QuartIn', 'QuartOut', 'QuartInOut', 'QuintIn', 'QuintOut', 'QuintInOut', 'SineIn', 'SineOut', 'SineInOut'}},
	path={text='',use=false,filter=0},
	string={text='',use=0},
	link1filter={'\\eScenes\\VSceneObjects\\eObjects', '\\eInterfaces\\VInterfaceButtons\\eButtons'},
	link2filter={},
	stringfilter={},
})

translation(2, 'SCALE_OBJECT', 'Scale object')
translation(2, 'SCALE_OBJECT_Name', "Scale '%link1' to '%int1' % over '%int2' ms")
translation(2, 'SCALE_IN_PERCENT', 'Scale (percent)')
translation(2, 'DELAY_IN_MS', 'Delay (ms)')
translation(1, 'SCALE_OBJECT', 'Skaliere Objekt')
translation(1, 'SCALE_OBJECT_Name', "Skaliere '%link1' zu '%int1' % über '%int2' ms")

registerActionPart('ROTATE_OBJECT_BY',{
	isif=false,
	link1={text='Object',use=true,control=0},
	link2={text='',use=false,control=1},
	integers={use=3,useint3=true,pointlabel='',pointdialog=0},
	integer1={text='ROTATION_BY_DEGREES',control=0,min=-99999,max=99999,val=0,options={}},
	integer2={text='DELAY_IN_MS',control=1,min=0,max=99999,val=0,options={}},
	integer3={text='Easing',control=4,min=0,max=0,val=17,options={'BackIn', 'BackOut', 'BackInOut', 'BounceIn', 'BounceOut', 'BounceInOut', 'CircIn', 'CircOut', 'CircInOut', 'CubicIn', 'CubicOut', 'CubicInOut', 'ElasticIn', 'ElasticOut', 'ElasticInOut', 'LinearIn', 'LinearOut', 'LinearInOut', 'NoneIn', 'NoneOut', 'NoneInOut', 'QuadIn', 'QuadOut', 'QuadInOut', 'QuartIn', 'QuartOut', 'QuartInOut', 'QuintIn', 'QuintOut', 'QuintInOut', 'SineIn', 'SineOut', 'SineInOut'}},
	path={text='',use=false,filter=0},
	string={text='',use=0},
	link1filter={'\\eScenes\\VSceneObjects\\eObjects', '\\eInterfaces\\VInterfaceButtons\\eButtons'},
	link2filter={},
	stringfilter={},
})

translation(2, 'ROTATE_OBJECT_BY', 'Rotate object (relative)')
translation(2, 'ROTATE_OBJECT_BY_Name', "Rotate '%link1' by '%int1' degrees in '%int2' ms")
translation(2, 'ROTATION_BY_DEGREES', 'Rotation by (degrees)')
translation(2, 'DELAY_IN_MS', 'Delay (ms)')
translation(1, 'ROTATE_OBJECT_BY', 'Rotiere Objekt (relativ)')
translation(1, 'ROTATE_OBJECT_BY_Name', "Rotiere '%link1' um '%int1' Grad in '%int2' ms")
translation(1, 'ROTATION_BY_DEGREES', 'Rotation um (Grad)')
translation(1, 'DELAY_IN_MS', 'Dauer (ms)')

registerActionPart('ROTATE_OBJECT_TO',{
	isif=false,
	link1={text='Object',use=true,control=0},
	link2={text='',use=false,control=1},
	integers={use=3,useint3=true,pointlabel='',pointdialog=0},
	integer1={text='ROTATION_IN_DEGREES',control=0,min=-99999,max=99999,val=0,options={}},
		integer2={text='Easing',control=4,min=0,max=0,val=17,options={'BackIn', 'BackOut', 'BackInOut', 'BounceIn', 'BounceOut', 'BounceInOut', 'CircIn', 'CircOut', 'CircInOut', 'CubicIn', 'CubicOut', 'CubicInOut', 'ElasticIn', 'ElasticOut', 'ElasticInOut', 'LinearIn', 'LinearOut', 'LinearInOut', 'NoneIn', 'NoneOut', 'NoneInOut', 'QuadIn', 'QuadOut', 'QuadInOut', 'QuartIn', 'QuartOut', 'QuartInOut', 'QuintIn', 'QuintOut', 'QuintInOut', 'SineIn', 'SineOut', 'SineInOut'}},
	integer3={text='LOOPING',control=3,min=0,max=99999,val=0,options={'NONE','LOOP','PENDULUM'}},
	path={text='',use=false,filter=0},
	string={text='DELAY_IN_MS_(0 - 99999)',use=1},
	link1filter={'\\eScenes\\VSceneObjects\\eObjects', '\\eInterfaces\\VInterfaceButtons\\eButtons'},
	link2filter={},
	stringfilter={},
})

translation(2, 'ROTATE_OBJECT_TO', 'Rotate object to')
translation(2, 'ROTATE_OBJECT_TO_Name', "Rotate '%link1' to '%int1' degrees in '%int2' ms")
translation(2, 'ROTATION_IN_DEGREES', 'Rotation (degrees)')
translation(2, 'LOOPING', 'Loop')
translation(2, 'NONE', 'none')
translation(2, 'LOOP', 'Loop')
translation(2, 'PENDULUM', 'Pendulum')
translation(2, 'DELAY_IN_MS_(0 - 99999)', 'Delay in ms (0-99999)')
translation(1, 'ROTATE_OBJECT_TO', 'Rotiere Objekt nach')
translation(1, 'ROTATE_OBJECT_TO_Name', "Rotiere '%link1' nach '%int1' Grad in '%int2' ms")
translation(1, 'ROTATION_IN_DEGREES', 'Rotation (Grad)')
translation(1, 'LOOPING', 'Wiederholung')
translation(1, 'NONE', 'keine')
translation(1, 'LOOP', 'vorwärts')
translation(1, 'PENDULUM', 'pendelnd')
translation(1, 'DELAY_IN_MS_(0 - 99999)', 'Dauer in ms (0-99999)')

registerActionPart('SET_ROTATION_CENTER',{
	isif=false,
	link1={text='Object',use=true,control=0},
	link2={text='Operator',use=false,control=1},
	integers={use=1,useint3=false,pointlabel='',pointdialog=0},
	integer1={text='ROTATION CENTER',control=0,min=0,max=0,val=0,options={}},
	integer2={text='Delay (ms)',control=1,min=0,max=99999,val=0,options={}},
	integer3={text='Rotate',control=3,min=0,max=0,val=0,options={'absolute', 'relative'}},
	path={text='',use=false,filter=0},
	string={text='',use=0},
	link1filter={'\\eScenes\\VSceneObjects\\eObjects', '\\eInterfaces\\VInterfaceButtons\\eButtons'},
	link2filter={},
	stringfilter={},
})

translation(2, 'SET_ROTATION_CENTER', 'Set rotation center')
translation(2, 'SET_ROTATION_CENTER_Name', "Set rotation center of '%link1' to ( %int1 , %int2) ")
translation(2, 'ROTATION CENTER', 'Rotation center')

translation(1, 'SET_ROTATION_CENTER', 'Setze Rotationszentrum')
translation(1, 'SET_ROTATION_CENTER_Name', "Setze Rotationszentrum von '%link1' auf (%int1 , %int2 ) ")
translation(1, 'ROTATION CENTER', 'Rotationszentrum')


--[[

link1 control
link2 control

0 link field
1 link combobox
2 text

integers text

integers use

0 nothing
1 point dialog
2 use int 1
3 use both ints

integer1 control

0 spinner
1 slider = spinner
2 bool
3 radio buttons
4 combobox
5 direction
6 color picker int(3) db (int1)

path filter

0 image
1 sound
2 video

string use

0 none
1 text
2 multiline
3 script
4 link
5 link field

]]